## List **get** `/v1/files` Returns a paginated list of files in your workspace. Use `offset` and `limit` to paginate through results. See [List endpoints](/using-the-api/list-endpoints/) for more information about pagination. **[Required scope](/using-the-api/scopes/):** `files:read` **[Rate limit category](/using-the-api/rate-limits/):** Search ### Query Parameters - `limit: optional number` Maximum number of records to return. Defaults to 25, maximum 25. - `offset: optional number` Number of records to skip for pagination. Defaults to 0. ### Returns - `FileListResponse = object { data, object, totalCount }` - `data: array of object { id, completedAt, createdAt, 5 more }` Array of file objects for the current page. - `id: string` Unique identifier for the file. - `completedAt: string` When the file upload was completed. - `createdAt: string` When the file upload session was created. - `expiresAt: string` When the upload session expires. Null once completed, cancelled, or expired. - `filename: string` Original filename. - `mimeType: string` MIME type of the file. - `sizeBytes: number` File size in bytes. - `status: "PENDING" or "COMPLETED" or "CANCELLED" or "EXPIRED"` Current upload status of the file. - `"PENDING"` - `"COMPLETED"` - `"CANCELLED"` - `"EXPIRED"` - `object: string` The object type, always `"list"`. - `totalCount: number` Total number of matching files. ### Example ```http curl https://api.lightfield.app/v1/files \ -H 'Lightfield-Version: 2026-03-01' \ -H "Authorization: Bearer $API_KEY" ```